Loading...
Searching...
No Matches
cavity

## Detailed Description

Examples
  cavity.h, cavity_3d.h, and oldroyd_cavity.h.

Definition at line 25 of file cavity.h.

Inheritance diagram for cavity:

## Static Public Member Functions

static space | velocity_space (const geo &omega, string approx)
static field | velocity_field (const space &Xh, Float alpha=1)
static space | streamf_space (geo omega, string approx)
static field | streamf_field (space Ph)
static space | velocity_space (const geo &omega, string approx)
static field | velocity_field (const space &Xh, Float alpha=1)
static space | streamf_space (geo omega, string approx)
static field | streamf_field (space Ph)

## Member Function Documentation

## velocity_space() [1/2]

static space velocity_space | ( | const geo & | omega,
|  | string | approx
| ) |  |

static

Examples
  cavity.h, cavity_3d.h, navier_stokes_cavity.cc, and stokes_cavity.cc.

Definition at line 26 of file cavity.h.

## velocity_field() [1/2]

static field velocity_field | ( | const space & | Xh,
|  | Float | alpha = `1`
| ) |  |

static

Examples
  cavity.h, cavity_3d.h, navier_stokes_cavity.cc, and stokes_cavity.cc.

Definition at line 37 of file cavity.h.

## streamf_space() [1/2]

static space streamf_space | ( | geo | omega,
|  | string | approx
| ) |  |

static

Examples
  cavity.h, cavity_3d.h, and streamf_cavity.cc.

Definition at line 42 of file cavity.h.

## streamf_field() [1/2]

static field streamf_field | ( | space | Ph | ) |

static

Examples
  cavity.h, cavity_3d.h, and streamf_cavity.cc.

Definition at line 53 of file cavity.h.

## velocity_space() [2/2]

static space velocity_space | ( | const geo & | omega,
|  | string | approx
| ) |  |

static

Definition at line 26 of file cavity_3d.h.

## velocity_field() [2/2]

static field velocity_field | ( | const space & | Xh,
|  | Float | alpha = `1`
| ) |  |

static

Definition at line 35 of file cavity_3d.h.

## streamf_space() [2/2]

static space streamf_space | ( | geo | omega,
|  | string | approx
| ) |  |

static

Definition at line 40 of file cavity_3d.h.

## streamf_field() [2/2]

static field streamf_field | ( | space | Ph | ) |

static

Definition at line 50 of file cavity_3d.h.

The documentation for this struct was generated from the following files:

- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/cavity.h
- /build/rheolef-dTNbRN/rheolef-7.2/doc/examples/cavity_3d.h